/* vim: set foldmethod=syntax:
*/

@font-face {
	font-family:'cjfont';
	src: local('微軟正黑體'), local('Microsoft JhengHei'), local('Heiti TC');
	unicode-range:U+4E00-9FFF;
}
/*
@font-face {
	font-family:'cjfont';
	font-weight:bold;
	src: local('微軟正黑體'), local('Microsoft JhengHei'), local('Heiti TC');
	unicode-range:U+4E00-9FFF;
}
*/
@font-face {
	font-family:'cjfont';
	src: local(Helvetica), local('Segoe UI');
	unicode-range:U+00-024F;
}
/*
@font-face {
	font-family:'cjfont';
	font-weight:bold;
	src: local(Helvetica), local('Segoe UI');
	unicode-range:U+00-024F;
}
*/

* {font-family:'cjfont'}

@font-face {
	font-family:'Consolas';
	src:local(Consolas),
			url(/misc/font/Consolas.woff2),
			url(/misc/font/Consolas.woff),
			url(/misc/font/Consolas.ttf);
}
@font-face {
	font-family:'Consolas';
	font-weight:bold;
	src:local(ConsolasBold),
			url(/misc/font/ConsolasBold.woff2),
			url(/misc/font/ConsolasBold.woff),
			url(/misc/font/ConsolasBold.ttf);
	unicode-range:U+00-024F;
}
@font-face {
	font-family:'Oswald';
	src:local('Oswald'),
			url(/misc/font/Oswald/Oswald-Regular.woff),
			url(/misc/font/Oswald/Oswald-Regular.ttf);
	unicode-range: U+00-024F;
}
@font-face {
	font-family:'Oswald';
	font-weight:bold;
	src:local('Oswald')
			url(/misc/font/Oswald/Oswald-Regular.woff),
			url(/misc/font/Oswald/Oswald-Regular.ttf);
	unicode-range: U+00-024F;
}
@font-face {
	font-family:'Oswald';
	src:local('Consolas'),
			url(/misc/font/Consolas.woff2),
			url(/misc/font/Consolas.woff),
			url(/misc/font/Consolas.ttf);
	unicode-range: U+2D-2E,U+3A,U+7E;	/* '-.:~' */
}
@font-face {
	font-family:'Oswald';
	font-weight:bold;
	src:local('ConsolasBold'),
			url(/misc/font/ConsolasBold.woff),
			url(/misc/font/ConsolasBold.ttf);
	unicode-range: U+2D-2E,U+3A,U+7E;	/* '-.:~' */
}

TD.slash, TH.slash {background:linear-gradient(to top left,transparent, transparent 50%,black 49%, black 49%,transparent 51%, transparent) !important}
TD.backslash, TH.backslash {background:linear-gradient(to top right,transparent, transparent 50%,black 49%, black 49%,transparent 51%, transparent) !important}

BUTTON {font:normal 10pt cjfont;cursor:pointer;color:black}
BUTTON[class^="mode"],INPUT[class^="mode"] {font:normal 10pt cjfont;color:white;cursor:pointer;border-radius:20px;border:1px solid black;box-shadow:0 0 6px rgba(0,0,0,.8);outline:0}
BUTTON[class^="mode"] {padding:0 6px 1px}
INPUT[class^="mode"] {padding:1px 12px 2px}
BUTTON[class^="mode"]:hover,INPUT[class^="mode"]:hover {color:yellow;box-shadow:0 0 8px rgba(0,0,0,1)}
BUTTON[class^="mode"]:focus,INPUT[class^="mode"]:focus {box-shadow:0 0 2px 3px rgba(255,0,128,.5)}
/* 深灰底 */
BUTTON.modeO,INPUT.modeO {background:#444}
BUTTON.modeO:hover,INPUT.modeO:hover,
BUTTON.modeO:focus,INPUT.modeO:focus {background:#000}
/* 淺灰底 */
BUTTON.modeLW,INPUT.modeLW {background:#EEE}
BUTTON.modeLW:hover,INPUT.modeLW:hover,
BUTTON.modeLW:focus,INPUT.modeLW:focus {background:#FFF}
/* 深藍底 */
BUTTON.modeB,INPUT.modeB {background:#08C}
BUTTON.modeB:hover,INPUT.modeB:hover,
BUTTON.modeB:focus,INPUT.modeB:focus {background:#04C}

BUTTON.modeSB,INPUT.modeSB {background:steelblue}
BUTTON.modeSB:hover,INPUT.modeSB:hover,
BUTTON.modeSB:focus,INPUT.modeSB:focus {background:#04C}
/* 淺藍底 */
BUTTON.modeBL,INPUT.modeBL {background:#CFF;color:black}
BUTTON.modeBL:hover,INPUT.modeBL:hover,
BUTTON.modeBL:focus,INPUT.modeBL:focus {background:#6FF;color:black}
/* 深綠底 */
BUTTON.modeG,INPUT.modeG {background:#484}
BUTTON.modeG:hover,INPUT.modeG:hover,
BUTTON.modeG:focus,INPUT.modeG:focus {background:#060}
/* 淺綠底 */
BUTTON.modeLG,INPUT.modeLG {background:#8C8}
BUTTON.modeLG:hover,INPUT.modeLG:hover,
BUTTON.modeLG:focus,INPUT.modeLG:focus {background:#484}
/* 紅底 */
BUTTON.modeR,INPUT.modeR {background:#F00}
BUTTON.modeR:hover,INPUT.modeR:hover,
BUTTON.modeR:focus,INPUT.modeR:focus {background:#C22}
/* 棕底 */
BUTTON.modeBR,INPUT.modeBR {background:#654}
BUTTON.modeBR:hover,INPUT.modeBR:hover,
BUTTON.modeBR:focus,INPUT.modeBR:focus {background:#841}
/* 橘底 */
BUTTON.modeJ,INPUT.modeJ {background:orange}
BUTTON.modeJ:hover,INPUT.modeJ:hover,
BUTTON.modeJ:focus,INPUT.modeJ:focus {background:#A60;color:white}
/* 紫底 */
BUTTON.modeP,INPUT.modeP {background:purple}
BUTTON.modeP:hover,INPUT.modeP:hover,
BUTTON.modeP:focus,INPUT.modeP:focus {background:#606}
/* 淺黃底 */
BUTTON.modeYL,INPUT.modeYL {background:#FFB;color:black}
BUTTON.modeYL:hover,INPUT.modeYL:hover,
BUTTON.modeYL:focus,INPUT.modeYL:focus {background:#FF6;color:black}
/* 黃字 */
BUTTON.yc,INPUT.yc {color:yellow}
/* 黑字 */
BUTTON.bc,INPUT.bc {color:black}
/* 白邊 */
BUTTON.wb,INPUT.wb {border-color:white}
/* 圓角 */
BUTTON.rc,INPUT.rc {border-radius:3px;margin:0 1px;border:1px solid}
BUTTON.rc:first-child,INPUT.rc:first-child {border-radius:20px 4px 4px 20px}
BUTTON.rc:last-child,INPUT.rc:last-child {border-radius:4px 20px 20px 4px}
/* disabled */
BUTTON.modeDSBL,INPUT.modeDSBL,
BUTTON.modeDSBL:hover,INPUT.modeDSBL:hover,
BUTTON.modeDSBL:focus,INPUT.modeDSBL:focus {background:#AAA;color:#888;box-shadow:none;cursor:default;border-color:#888}

BUTTON.med,INPUT.med {font:bold 11pt cjfont;padding:3px 24px}
BUTTON.big,INPUT.big {font:bold 14pt cjfont;padding:3px 24px}
BUTTON.xxl,INPUT.xxl {font:bold 16pt cjfont !important;padding:12px 40px !important}

/* 處理瀏覽器預設問題 */
FORM {margin:0;padding:0}
FIELDSET {min-width: 0}
TEXTAREA {margin:0 auto;-webkit-text-size-adjust:none;resize:none}

/* 範本標題列 */
TH[class^="tplttl"] {background:#000;color:white;font-size:12pt;padding:1px 6px 2px;text-shadow:1px 1px 4px #000, 1px 1px 4px #000}
TH.tplttlB {background:#08C;border:1px solid;border-color:#9BC #235 #235 #9BC}				/*藍*/
TH.tplttlSB {background:steelblue;border:1px solid;border-color:#ACF #235 #235 #ACF}	/*藍*/
TH.tplttlJ {background:orange;border:1px solid;border-color:#FC6 #640 #640 #FC6}			/*橘*/
TH.tplttlR {background:#C00;border:1px solid;border-color:#F99 #600 #600 #F99}				/*紅*/
TH.tplttlP {background:#A0A;border:1px solid;border-color:#C6C #404 #404 #C6C}				/*紫*/
TH.tplttlG {background:#484;border:1px solid;border-color:#BFB #242 #242 #BFB}				/*綠*/
TH.tplttlDP {background:deeppink;border:1px solid;border-color:pink #802 #802 pink}		/*深粉紅*/
TH.tplttlPP {background:pink;border:1px solid;border-color:#FDE #A78 #A78 #FDE}				/*粉紅*/
TH.tplttlGR {background:#666;border:1px solid;border-color:#EEE #888 #888 #EEE}				/*深灰*/
TH.tplttlBB {background:#333;border:1px solid;border-color:#EEE #000 #000 #EEE}				/*黑*/
TH.tplttlBB2 {background:linear-gradient(#666,#AAA);border:1px solid;border-color:#EEE #000 #000 #EEE}				/*黑*/
TH.tplttlLGR {background:#CCC;border:1px solid;border-color:#EEE #888 #888 #EEE}			/*淺灰*/
/* 範本內容列 */
TD[class^="tplbdy"] {background:#FFF;color:black;font:normal 10pt cjfont;padding:10px}
TD.tplbdyLG {background:url('/img/bg/bg_grille_1.png');border:1px solid;border-color:#FFF #666 #666 #FFF}
TD.tplbb1 {border-bottom-style:dashed}
TD.tplbb2 {border-bottom:0}
TD.tplkey {padding:0 10px;font:normal 8pt cjfont;text-align:right;background:#222;color:#AAA;border:0}

.ls0 {letter-spacing:1px}
.ls1 {letter-spacing:1px}
.ls2 {letter-spacing:2px}
.ls3 {letter-spacing:3px}
.ls5 {letter-spacing:5px}
.ls10 {letter-spacing:10px}
.unselectable {
	user-select: none;
	user-drag: none;
	cursor:default;
}
.panel-move {cursor:move !important}

DIV.overlay_panel {position:absolute;background:black;z-index:100;opacity:.65}
DIV.popup_panel {position:absolute;background:white;padding:0;margin:0;border:1px solid black;box-shadow:10px 10px 20px rgba(0,0,0,.7);z-index:200;text-align:center;overflow:hidden}
DIV.calendar {position:absolute;background:#FFA;padding:0;margin:0;border:4px solid #080;box-shadow:10px 10px 5px black;z-index:2000;text-align:center;font:normal 9pt Consolas;text-align:center}
DIV.misc {position:absolute;background:#333;max-width:240px;color:white;padding:2px 4px;font:normal 10pt cjfont;word-break:break-all;border:1px solid black;box-shadow:5px 5px 5px rgba(0,0,0,.6);pointer-events:none}

IMG.tplloaded {width:0;height:0;display:none}

DIV.suggest {position:absolute;background:#555;color:white;font-size:90%;min-width:200px;font:normal 11pt Consolas}
DIV.suggest * {font-family:Consolas}
DIV.suggest DIV {display:block;white-space:nowrap;padding:0 4px;cursor:default}
DIV.suggest DIV.select {color:#FFF;background:#36F}
DIV.suggest DIV.over {background:#9CF}

*.fixed-color-day {background:#F44 !important;color:white !important}
*.fixed-color-week {background:#06F !important;color:white !important}

*.pt8 {font-size:8pt !important}
*.pt9 {font-size:9pt !important}
*.pt10 {font-size:10pt !important}
*.pt11 {font-size:11pt !important}
*.pt12 {font-size:12pt !important}
*.pt14 {font-size:14pt !important}
*.pt16 {font-size:16pt !important}
*.oswald {font-family:Oswald !important}

*.vtt {vertical-align:top !important}
*.vmm {vertical-align:middle !important}
*.vmm2 {position:relative;top:50%;transform:perspective(1px) translateY(-50%);}	/* 任何物件垂直置中，包括 DIV 內，高級技巧 */
*.vmm3 {position:relative;top:50%;left:50%;transform:perspective(1px) translate(-50%, -50%);}	/* 任何物件垂直置中，包括 DIV 內，高級技巧 */
*.vbb {vertical-align:bottom !important}
*.hrr {text-align:right !important}
*.hcc {text-align:center !important}
*.hll {text-align:left !important}
*.brr {border-right:1px dashed black}
*.bll {border-left:1px dashed black}
*.bll2 {border-left:1px solid black}
*.fll {float:left !important}
*.frr {float:right !important}

*.lnk {cursor:pointer !important}
*.pvn {pointer-events:none !important}

*.bxs:focus {box-shadow:0 0 2px 2px rgba(255,0,128,.6) !important}
*.bxs2:hover {box-shadow:0 0 2px 2px rgba(255,0,128,.6) !important}
*.bxs::selection {background:#080 !important;color:#FFF !important}

*.fw1 {font-family:Consolas,monospace !important}
*.vw1 {font-family:Tahoma,Verdana !important}
*.ch1 {font-family:'微軟正黑體' !important}

*.black {color:black !important}
*.white {color:white !important}
*.gray {color:gray !important}
*.red {color:red !important}
*.nobg {background:transparent !important}

*.current_entry {background:#DDD;color:black;position:relative !important}

TT {font-family:Consolas,'Courier New','細明體'}

DIV.copyright {
	margin:20px 40px 6px;
	border-top:1px solid #666;
}
DIV.copyright > TABLE {
	width:100%;
	white-space:nowrap;
	border:0;
}
DIV.copyright > TABLE > TBODY > TR > TD {
	font:normal 8pt/1 Consolas;
	color:#666;
	padding:2px;
}
DIV.copyright > TABLE > TBODY > TR > TD:nth-child(1) {
	text-align:left;
	width:30%;
	color:#888;
}
DIV.copyright > TABLE > TBODY > TR > TD:nth-child(2) {
	text-align:center;
	width:40%;
	color:#444;
}
DIV.copyright > TABLE > TBODY > TR > TD:nth-child(2) > TT {
	font-family:cjfont;
}
DIV.copyright > TABLE > TBODY > TR > TD:nth-child(3) {
	text-align:right;
	width:30%;
}

@media all {
	.no-print {}
	.print-only {display:none}
	.page-break {display:none}
}
@media print {
	* {
			color:black !important;
			-webkit-text-shadow:none !important;
			text-shadow:none !important;
			background:transparent !important;
			-webkit-box-shadow: none !important;
			box-shadow: none !important;
	}

	body:before {display:none}
	body {margin:0;padding:0}

	.no-print {display:none !important}
	.print-only {display:block}
	SPAN.print-only {display:inline}

	.page_break {
		page-break-after:always !important;
		font:normal 1px/100% arial !important;
		height:0 !important;
		visibility:hidden !important;
	}
}

.notifyjs-mact-base {
	font:normal 8pt/140% Consolas;
	display:inline-block;
	background:#333;
	color:white;
	padding:4px;
	border:1px solid #333;
	border-radius:3px;
	overflow:initial;
}
